searchData={"items":[{"type":"module","title":"UUIDv7","doc":"UUUIDv7 for Elixir.\n\nUsed for generating version 7 UUIDs using submicrosecond precision.\nNormally the default precision is 1 millisecond, this causes issues\nwhen generating UUIDs in bulk because we can generate multiple UUIDs\nin the same millisecond. This module allows you to generate UUIDs with\nsubmicrosecond precision.\n\n  UUUIDv7.generate()\n  \"018e90d8-06e8-7f9f-bfd7-6730ba98a51b\"\n\n  UUUIDv7.bingenerate()\n  <<1, 142, 144, 216, 6, 232, 127, 159, 191, 215, 103, 48, 186, 152, 165, 27>>","ref":"UUIDv7.html"},{"type":"function","title":"UUIDv7.bingenerate/0","doc":"Generates a version 7 UUID in the binary format.","ref":"UUIDv7.html#bingenerate/0"},{"type":"function","title":"Example - UUIDv7.bingenerate/0","doc":"iex> [UUUIDv7.bingenerate(), UUUIDv7.bingenerate()]\n  iex> |> Enum.map(& :binary.part(&1, 0, 5))\n  iex> |> Enum.reduce(fn second, first -> second == first end)\n  true","ref":"UUIDv7.html#bingenerate/0-example"},{"type":"function","title":"UUIDv7.decode/1","doc":"Decode a string representation of a UUID to the raw binary version.","ref":"UUIDv7.html#decode/1"},{"type":"function","title":"Example - UUIDv7.decode/1","doc":"iex> UUUIDv7.decode(\"018e90d8-06e8-7f9f-bfd7-6730ba98a51b\")\n    <<1, 142, 144, 216, 6, 232, 127, 159, 191, 215, 103, 48, 186, 152, 165, 27>>","ref":"UUIDv7.html#decode/1-example"},{"type":"function","title":"UUIDv7.embed_as/1","doc":"","ref":"UUIDv7.html#embed_as/1"},{"type":"function","title":"UUIDv7.encode/1","doc":"Encode a raw UUID to the string representation.","ref":"UUIDv7.html#encode/1"},{"type":"function","title":"Example - UUIDv7.encode/1","doc":"iex> UUUIDv7.encode(<<1, 142, 144, 216, 6, 232, 127, 159, 191, 215, 103, 48, 186, 152, 165, 27>>)\n    \"018e90d8-06e8-7f9f-bfd7-6730ba98a51b\"","ref":"UUIDv7.html#encode/1-example"},{"type":"function","title":"UUIDv7.equal?/2","doc":"","ref":"UUIDv7.html#equal?/2"},{"type":"function","title":"UUIDv7.extract_timestamp/1","doc":"Extract the millisecond timestamp from the UUID.","ref":"UUIDv7.html#extract_timestamp/1"},{"type":"function","title":"Example - UUIDv7.extract_timestamp/1","doc":"iex> UUUIDv7.extract_timestamp(\"018ecb40-c457-73e6-a400-000398daddd9\")\n    1712807003223","ref":"UUIDv7.html#extract_timestamp/1-example"},{"type":"function","title":"UUIDv7.generate/0","doc":"Generates a version 7 UUID using submilliseconds for increased clock\nprecision.","ref":"UUIDv7.html#generate/0"},{"type":"function","title":"Example - UUIDv7.generate/0","doc":"iex> [UUUIDv7.generate(), UUUIDv7.generate()]\n  iex> |> Enum.map(& String.byte_slice(&1, 0, 11))\n  iex> |> Enum.reduce(fn second, first -> second == first end)\n  true","ref":"UUIDv7.html#generate/0-example"},{"type":"function","title":"UUIDv7.get_time/0","doc":"returns the current time in milliseconds and scaled nanoseconds","ref":"UUIDv7.html#get_time/0"},{"type":"function","title":"UUIDv7.scale_nanoseconds/1","doc":"scales the remaining nanoseconds to fit in 12 bits","ref":"UUIDv7.html#scale_nanoseconds/1"},{"type":"function","title":"Example - UUIDv7.scale_nanoseconds/1","doc":"iex> UUUIDv7.scale_nanoseconds(0)\n    0\n    iex> UUUIDv7.scale_nanoseconds(500000)\n    2048\n    iex> UUUIDv7.scale_nanoseconds(999999)\n    0xFFF","ref":"UUIDv7.html#scale_nanoseconds/1-example"},{"type":"type","title":"UUIDv7.raw/0","doc":"A raw binary representation of a UUID.","ref":"UUIDv7.html#t:raw/0"},{"type":"type","title":"UUIDv7.t/0","doc":"A hex-encoded UUID string.","ref":"UUIDv7.html#t:t/0"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,50]}}